Группа PostgreSQL Global Development  выпустила сегодня обновление безопасности для всех активных ветвей объектно-реляционной базы данных PostgreSQL, включая версии 9.1.3, 9.0.7, 8.4.11 и 8.3.18.

Обновления затрагивают: двоичную репликацию и горячее резервирование, GIN, WITH, foreign data wrappers, PL/pgsql, PL/python, inet datatype, intarray, pgcrypto, pg_upgrade, pg_restore и pg_dump.

Релиз содержит 45 исправлений в версии 9.1, а также меньшее количество исправлений для старых версий, в том числе:

  • Исправление нарушения BTree индекса при вставках в сочетании с vacuuming
  • Восстановление после ошибок, возникающих во время WAL повтора операции  DROP TABLESPACE
  • Исправлено обнуление разделяемых буферов во время повтора операций WAL
  • Исправлена попытка перезапуска  postmaster после отказа горячего резервирования
  • Исправлен corner case при очистке транзакции  SSI

И много другое.

Источник: http://www.postgresql.org/about/news/1377/

Добавить комментарий


Защитный код
Обновить